@import url('https://fonts.googleapis.com/css2?family=Lato:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@900&display=swap');
*{
 margin: 0;
 padding: 0;
 box-sizing: border-box;
 text-decoration: none;
 list-style: none;
}

body{
 background-color: #091921;
}

/*navbar coding*/
.navbar{
 background-color: orange;
 width: 100%;
 height: 50px;
 display: flex;
}

.navbar label{
 position: absolute;
 top: 7px;
 left: 30px;
}

.navbar label a{
 font-size: 30px;
 font-family: 'Montserrat', sans-serif;
 text-transform: uppercase;
 letter-spacing: 2px;
 color: black;
}

#link-list{
 position: fixed;
 font-size: 30px;
 top: 0;
 right: -200px;
 color: black;
 background-color: orange;
 width: 135px;
 z-index: 1;
 transition: 0.3s;
}

#link-list li{
 margin: 20px 20px 20px 20px;
}

#link-list li a{
 color: black;
 font-family: 'Lato', sans-serif;
 letter-spacing: 1px;
 transition: 0.3s;
}

#link-list li a:hover{
 color: white;
}

#link-list i{
 margin-top: 30px;
 margin-left: 90px;
 cursor: pointer;
 transition: 0.3s;
}

#link-list i:hover{
 color: white;
}

.hamburger-btn{
 position: absolute;
 right: 50px;
 top: 15px;
}

.hamburger-btn i{
 font-size: 25px;
 cursor: pointer;
 transition: 0.3s;
}

.hamburger-btn i:hover{
 color: white;
}

/*calculator code*/
.container{
 height: 100vh;
 display: flex;
 justify-content: center;
 align-items: center;
}

.calculator{
 background-color: #091921;
 padding: 15px;
 border-radius: 5px;
 display: grid;
 grid-template-columns: repeat(4,68px);
 width: 305px;
 height: 400px;
 background-size: cover;
 border: 4px solid #091921;
 /*box-shadow: 0 -15px 15px rgba(255,255,255,0.05),
             inset 0 -15px 15px rgba(255,255,255,0.05),
             0 15px 15px rgba(0,0,0,0.05),
             inset 0 15px 15px rgba(0,0,0,0.05)*/
 box-shadow: 5px 5px 5px black,
 -5px -5px 5px rgba(255, 255, 255, 0.05);
}

input{
 grid-column: span 4;
 height: 50px;
 width: 268px;
 background-color: #8eb299;
 margin-top: 10px;
 margin-bottom: 20px;
 border-radius: 5px;
 border: none;
 font-size: 25px;
 text-align: right;
 box-shadow: inset 5px 5px 5px #5B7458;
 cursor: none;
}

button{
 position: relative;
 left: 12px;
 width: 40px;
 height: 40px;
 border: none;
 outline: none;
 display: flex;
 align-items: center;
 justify-content: center;
 color: white;
 border-radius: 6px;
 background: #091921;
 box-shadow: 5px 5px 5px black,
 -5px -5px 5px rgba(255,255,255,0.05);
}

button:hover{
 transition: 0.2 ease;
 background-color: #091921;
 color: white;
}

button:active{
 background-color: #00E00B;
 color: black;
}

#equal{
 width: 110px;
 margin-top: 2px;
 background-color: #0080FF;
}

#clear{
 background-color: #FF0071;
}

#clear:active{
 background-color: #B10061;
}


/*footer code*/
footer{
 background-color: orange;
 width: 100%;
 height: 50px;
 display: flex;
 justify-content: center;
 align-items: center;
}


footer p{
 font-size: 25px;
 font-family: 'Lato', sans-serif;
 text-align: center;
}

footer p a{
 color: #091921;
}

@media (max-width: 396px){
 .navbar label{
  position: absolute;
  top: 14px;
 }
 .navbar label a{
  font-size: 20px;
 }
 
 .hamburger-btn i{
  font-size: 20px;
  position: absolute;
  right: -5px;
 }
 
 #link-list{
  width: 125px;
 }
 
 #link-list li a{
  font-size: 20px;
 }
}
